Resource Types
SplType::__construct
SPL Types
PHP Manual

# The SplType class

(PECL spl_types >= 0.1.0)

## Introduction

Parent class for all SPL types.

## Class synopsis

abstract SplType {
/* Constants */
const NULL __default = null ;
/* Methods */
__construct ([ mixed `$initial_value` [, bool `$strict` ]] )
}

## Predefined Constants

`SplType::__default`

## Table of Contents

- SplType::__construct — Creates a new value of some type

Resource Types
SplType::__construct
SPL Types
PHP Manual